// SurveillanceDoc.cpp : implementation of the CSurveillanceDoc class
//

// Σε αυτό το αρχείο υπάρχουν κάποιες ρουτίνες που δημιουργούνται αυτόματα
// από το Visual Studio λόγω του ότι επιλέξαμε SDI project

#include "stdafx.h"
#include "Surveillance.h"
#include "DisplayWnd.h"
#include "SurveillanceDoc.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#endif


// CSurveillanceDoc

IMPLEMENT_DYNCREATE(CSurveillanceDoc, CDocument)

BEGIN_MESSAGE_MAP(CSurveillanceDoc, CDocument)
	ON_COMMAND(ID_FILE_SEND_MAIL, &CSurveillanceDoc::OnFileSendMail)
	ON_UPDATE_COMMAND_UI(ID_FILE_SEND_MAIL, &CSurveillanceDoc::OnUpdateFileSendMail)
END_MESSAGE_MAP()


// CSurveillanceDoc construction/destruction

CSurveillanceDoc::CSurveillanceDoc()
{
	// TODO: add one-time construction code here

}

CSurveillanceDoc::~CSurveillanceDoc()
{
}

BOOL CSurveillanceDoc::OnNewDocument()
{
	if (!CDocument::OnNewDocument())
		return FALSE;

	// TODO: add reinitialization code here
	// (SDI documents will reuse this document)

	return TRUE;
}




// CSurveillanceDoc serialization

void CSurveillanceDoc::Serialize(CArchive& ar)
{
	if (ar.IsStoring())
	{
		// TODO: add storing code here
	}
	else
	{
		// TODO: add loading code here
	}
}


// CSurveillanceDoc diagnostics

#ifdef _DEBUG
void CSurveillanceDoc::AssertValid() const
{
	CDocument::AssertValid();
}

void CSurveillanceDoc::Dump(CDumpContext& dc) const
{
	CDocument::Dump(dc);
}
#endif //_DEBUG


// CSurveillanceDoc commands
